Page MenuHomePhabricator

[TRACKING] Selser issues on talk pages
Open, MediumPublic

Related Objects

Event Timeline

Esanders created this task.Sep 9 2020, 1:22 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 9 2020, 1:22 PM
Esanders updated the task description. (Show Details)Sep 9 2020, 1:43 PM

The two whitespace issues (T262409 & T262410) appear to account for the majority of corruption we are seeing, if you want to prioritise your focus.

ssastry added a subscriber: ssastry.Sep 9 2020, 2:48 PM

This below reproduces both the bugs.

[subbu@earth:~/work/wmf/parsoid] echo -e "*  a \n** b \n" > /tmp/wt
[subbu@earth:~/work/wmf/parsoid] php bin/parse.php < /tmp/wt > /tmp/old.html
[subbu@earth:~/work/wmf/parsoid] sed 's/b<\/li>/b<\/li>\n<li>b-new<\/li>/g;' < /tmp/old.html > /tmp/new.html
[subbu@earth:~/work/wmf/parsoid] php bin/parse.php --html2wt --selser --oldtextfile /tmp/wt --oldhtmlfile /tmp/old.html< /tmp/new.html > /tmp/edited.wt
[subbu@earth:~/work/wmf/parsoid] diff /tmp/wt /tmp/edited.wt
1,3c1,3
< *  a 
< ** b 
< 
---
> * a 
> ** b
> ** b-new
ppelberg moved this task from Backlog to Blocked by others on the Editing-team (Tracking) board.
ppelberg added a subscriber: ppelberg.
ssastry triaged this task as Medium priority.Sep 10 2020, 5:26 PM
ssastry moved this task from Needs Triage to Current & Upcoming Work on the Parsoid board.

Change 628937 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/services/parsoid@master] WIP: Selser: Preprocess doms to wrap li text nodes in wrapper

https://gerrit.wikimedia.org/r/628937

Change 630219 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/services/parsoid@master] Record trimmed whitespace in additional DSR fields

https://gerrit.wikimedia.org/r/630219

ssastry raised the priority of this task from Medium to High.Oct 1 2020, 4:39 PM

Change 630219 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Record length of trimmed whitespace in additional DSR fields

https://gerrit.wikimedia.org/r/630219

Change 635100 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/vendor@master] Bump wikimedia/parsoid to 0.13.0-a12

https://gerrit.wikimedia.org/r/635100

Change 635100 merged by jenkins-bot:
[mediawiki/vendor@master] Bump wikimedia/parsoid to 0.13.0-a12

https://gerrit.wikimedia.org/r/635100

Change 628937 merged by jenkins-bot:
[mediawiki/services/parsoid@master] SelSer: Preprocess DOMs to wrap text children of <li> in <span>s

https://gerrit.wikimedia.org/r/628937

Change 638161 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/vendor@master] Bump wikimedia/parsoid to 0.13.0-a14

https://gerrit.wikimedia.org/r/638161

Change 638161 merged by jenkins-bot:
[mediawiki/vendor@master] Bump wikimedia/parsoid to 0.13.0-a14

https://gerrit.wikimedia.org/r/638161

Change 638210 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/services/parsoid@master] Prevent selser corruption from unclosed tags in list items in some cases

https://gerrit.wikimedia.org/r/638210

Change 638210 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Prevent selser corruption from unclosed tags in list items in some cases

https://gerrit.wikimedia.org/r/638210

Change 638735 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/vendor@master] Bump wikimedia/parsoid to 0.13.0-a15

https://gerrit.wikimedia.org/r/638735

Change 638735 merged by jenkins-bot:
[mediawiki/vendor@master] Bump wikimedia/parsoid to 0.13.0-a15

https://gerrit.wikimedia.org/r/638735

Change 638520 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/vendor@wmf/1.36.0-wmf.16] Bump wikimedia/parsoid to 0.13.0-a15

https://gerrit.wikimedia.org/r/638520

Change 638520 merged by jenkins-bot:
[mediawiki/vendor@wmf/1.36.0-wmf.16] Bump wikimedia/parsoid to 0.13.0-a15

https://gerrit.wikimedia.org/r/638520

Change 639214 had a related patch set uploaded (by Brennen Bearnes; owner: Brennen Bearnes):
[mediawiki/core@wmf/1.36.0-wmf.16] vendor: Bump wikimedia/parsoid to 0.13.0-a15

https://gerrit.wikimedia.org/r/639214

Change 639214 merged by jenkins-bot:
[mediawiki/core@wmf/1.36.0-wmf.16] vendor: Bump wikimedia/parsoid to 0.13.0-a15

https://gerrit.wikimedia.org/r/639214

ppelberg moved this task from Inbox to High Priority on the Editing QA board.

Change 640438 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/services/parsoid@master] Selser: Skip over templates while adding selser-wrapper <span>s

https://gerrit.wikimedia.org/r/640438

Change 640438 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Selser: Skip over templates while adding selser-wrapper <span>s

https://gerrit.wikimedia.org/r/640438

@ppelberg could you all evaluate which of the subtasks are fixed and resolve them? There are some tasks where the dirty diffs would be fixed for list items but not outside list items (ex: unbalanced closing tags might still be removed outside lists).

@ppelberg could you all evaluate which of the subtasks are fixed and resolve them? There are some tasks where the dirty diffs would be fixed for list items but not outside list items (ex: unbalanced closing tags might still be removed outside lists).

Absolutely, @ssastry. Thank you for the ping. We have plans to explicitly test this task's subtasks this week.

ppelberg reassigned this task from ssastry to Ryasmeen.Nov 16 2020, 10:52 PM
ppelberg added a subscriber: Ryasmeen.

Assigning this over to @Ryasmeen for further testing.

  • Before that, I (@ppelberg) need to make sure testing instructions are added to the task description of each of this task's substasks.

Change 641308 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/vendor@master] Bump wikimedia/parsoid to 0.13.0-a17

https://gerrit.wikimedia.org/r/641308

Change 641308 merged by jenkins-bot:
[mediawiki/vendor@master] Bump wikimedia/parsoid to 0.13.0-a17

https://gerrit.wikimedia.org/r/641308

Ryasmeen edited projects, added Verified; removed Editing QA.Nov 23 2020, 8:17 PM
ssastry lowered the priority of this task from High to Medium.Fri, Jan 29, 5:47 PM